# DataExchange
TKSTEP209
StepElement

# StepElement_HSequenceOfElementMaterial Class Reference

`#include <StepElement_HSequenceOfElementMaterial.hxx>`

## Public Member Functions

| StepElement_HSequenceOfElementMaterial ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Handle(StepElement_ElementMaterial)&anItem)
Standard_EXPORT void | Append (const Handle(StepElement_HSequenceOfElementMaterial)&aSequence)
Standard_EXPORT void | Prepend (const Handle(StepElement_ElementMaterial)&anItem)
Standard_EXPORT void | Prepend (const Handle(StepElement_HSequenceOfElementMaterial)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(StepElement_ElementMaterial)&anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(StepElement_HSequenceOfElementMaterial)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(StepElement_ElementMaterial)&anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(StepElement_HSequenceOfElementMaterial)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_StepElement_HSequenceOfElementMaterial | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Handle(StepElement_ElementMaterial)&anItem)
Standard_EXPORT const Handle_StepElement_ElementMaterial & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Handle_StepElement_ElementMaterial & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const StepElement_SequenceOfElementMaterial & | Sequence () const
StepElement_SequenceOfElementMaterial & | ChangeSequence ()
Standard_EXPORT Handle_StepElement_HSequenceOfElementMaterial | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_SequenceOfElementMaterial | mySequence

## Constructor & Destructor Documentation

StepElement_HSequenceOfElementMaterial::StepElement_HSequenceOfElementMaterial | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Append | ( | const Handle(StepElement_HSequenceOfElementMaterial)& | aSequence | ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Append | ( | const Handle(StepElement_ElementMaterial)& | anItem | ) |

StepElement_SequenceOfElementMaterial& StepElement_HSequenceOfElementMaterial::ChangeSequence | ( |  | ) |

Standard_EXPORT Handle_StepElement_ElementMaterial& StepElement_HSequenceOfElementMaterial::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Clear | ( |  | ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const StepElement_HSequenceOfElementMaterial::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(StepElement_HSequenceOfElementMaterial)& | aSequence
| ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(StepElement_ElementMaterial)& | anItem
| ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(StepElement_HSequenceOfElementMaterial)& | aSequence
| ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(StepElement_ElementMaterial)& | anItem
| ) |

Standard_Boolean StepElement_HSequenceOfElementMaterial::IsEmpty | ( |  | ) | const

Standard_Integer StepElement_HSequenceOfElementMaterial::Length | ( |  | ) | const

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Prepend | ( | const Handle(StepElement_HSequenceOfElementMaterial)& | aSequence | ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Prepend | ( | const Handle(StepElement_ElementMaterial)& | anItem | ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::Reverse | ( |  | ) |

const StepElement_SequenceOfElementMaterial& StepElement_HSequenceOfElementMaterial::Sequence | ( |  | ) | const

Standard_EXPORT void StepElement_HSequenceOfElementMaterial::SetValue | ( | const Standard_Integer | anIndex,
|  | const Handle(StepElement_ElementMaterial)& | anItem
| ) |

Standard_EXPORT Handle_StepElement_HSequenceOfElementMaterial StepElement_HSequenceOfElementMaterial::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_StepElement_HSequenceOfElementMaterial StepElement_HSequenceOfElementMaterial::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Handle_StepElement_ElementMaterial& StepElement_HSequenceOfElementMaterial::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

StepElement_SequenceOfElementMaterial StepElement_HSequenceOfElementMaterial::mySequence `[private]`

The documentation for this class was generated from the following file:

- StepElement_HSequenceOfElementMaterial.hxx